Backends
All operations require authentication.
List serversBeta
Path parameters
The internal name of your SSL Gateway
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sslGateway/ {serviceName}/ server \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Add a serverBeta
Path parameters
The internal name of your SSL Gateway
Request body (required)
IPv4 address of your server
Port of your server
Response
IP address of the server attached to your SSL Gateway
Id of your server
Port of your server attached to your SSL Gateway
Server state
creatingdeleteddeletinginternalokupdatingExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sslGateway/ {serviceName}/ server \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "192.0.2.0", "id": 0, "port": 0, "state": "creating"}
Get a serverBeta
Path parameters
Id of your server
The internal name of your SSL Gateway
Response
IP address of the server attached to your SSL Gateway
Id of your server
Port of your server attached to your SSL Gateway
Server state
creatingdeleteddeletinginternalokupdatingExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sslGateway/ {serviceName}/ server/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "192.0.2.0", "id": 0, "port": 0, "state": "creating"}
Remove a serverBeta
Path parameters
Id of your server
The internal name of your SSL Gateway
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sslGateway/ {serviceName}/ server/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a serverBeta
Path parameters
Id of your server
The internal name of your SSL Gateway
Request body (required)
IP address of the server attached to your SSL Gateway
Id of your server
Port of your server attached to your SSL Gateway
Server state
creatingdeleteddeletinginternalokupdatingResponse
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ sslGateway/ {serviceName}/ server/ {id} \
-H "authorization: Bearer $OVH_TOKEN"